### Method

# WebKit2 CookieManager get_domains_with_cookies_finish

deprecated: 2.16

#### Declaration [src]

    gchar**
    webkit_cookie_manager_get_domains_with_cookies_finish (
      WebKitCookieManager* cookie_manager,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finish an asynchronous operation started with webkit_cookie_manager_get_domains_with_cookies().

The return value is a `NULL` terminated list of strings which should be released with g_strfreev().

Deprecated since: 2.16

Use `webkit_website_data_manager_fetch_finish()` instead.

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `utf8`

A `NULL` terminated array of domain names or `NULL` in case of error.

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.